Bug 15120 - runreport.pl doesn't allow custom subjects anymore
Summary: runreport.pl doesn't allow custom subjects anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 15133
  Show dependency treegraph
 
Reported: 2015-11-04 01:16 UTC by Liz Rea
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15120 - runreport.pl cronjob doesn't allow custom subjects anymore (1.72 KB, patch)
2015-11-04 02:54 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 15120 - runreport.pl cronjob doesn't allow custom subjects anymore (1.82 KB, patch)
2015-11-05 07:53 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 15120 - runreport.pl cronjob doesn't allow custom subjects anymore (1.89 KB, patch)
2015-11-06 13:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2015-11-04 01:16:51 UTC
There's an option for it in the docs, but it doesn't work (and the code isn't there for it anyway).

We should fix it or remove the option.
Comment 1 Liz Rea 2015-11-04 02:54:23 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-11-05 07:53:35 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-11-06 13:21:08 UTC
Created attachment 44555 [details] [review]
[PASSED QA] Bug 15120 - runreport.pl cronjob doesn't allow custom subjects anymore

To test, well do something like

misc/cronjobs/runreport.pl --subject="My fancy subject!" --to=you@youraddress.com 1
where 1 is the number of your favourite saved report.

Success is your email arrives with the subject "My fancy subject!" Failure is
(with --subject defined) you get either the description of the report, or "Koha
saved report" as the subject. This is success without --subject defined.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  Bug repeatable and fixed by this patch.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-11-16 18:59:44 UTC
Patch pushed to master.

Thanks Liz!
Comment 5 Frédéric Demians 2015-11-29 21:01:29 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 6 Liz Rea 2016-01-06 21:18:27 UTC
Pushed to 3.18.13, and released.